#
# spec file for package gmpc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} == 1315
%define enable_unique 0
%else
%define enable_unique 1
%endif
Name:           gmpc
Version:        11.8.16
Release:        1.1
Summary:        GNOME client for mpd, mp3/ogg music jukebox
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Players
Url:            http://gmpclient.org/
Source0:        http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
#PATCH-FIX-OPENSUSE return-function.patch avvissu@yandex.ru -- Fix build errors found by RPMlint
Patch0:         gmpc-11.8.16_return-function.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gob2
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(libmpd)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1210
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(vapigen)
%if %{enable_unique}
BuildRequires:  pkgconfig(unique-1.0)
%ifarch armv6l armv6hl
BuildRequires:  Mesa-libEGL1
BuildRequires:  pkgconfig(egl)
BuildRequires:  -raspberrypi-userland
%endif
%endif
%endif
%if 0%{?suse_version} <= 1140
BuildRequires:  libunique-devel
BuildRequires:  vala
%endif
#Requires:       libmpd1
Requires:       %{name}-doc = %{version}

%description
Gnome Music Player Client.

 Features:
    * Support for loading/saving playlists.
    * File Browser
    * Browser based on ID3 information. (on artist and albums)
    * Search
    * Current playlist viewer with search.
    * ID3 information
    * Lots more

%package devel
Summary:        Development package for libmpd
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       intltool
Requires:       pkgconfig
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(gtk+-2.0)
Requires:       pkgconfig(libcurl)
Requires:       pkgconfig(libglade-2.0)
Requires:       pkgconfig(libmpd)
Requires:       pkgconfig(libsoup-2.4)
Requires:       pkgconfig(libxml-2.0)

%description devel
This package contains header files needed to develop application
that use gmpc.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation/Other
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
Reference documentation for gmpc.

%prep
%setup -q

%patch0 -p1

#This version does not exist
sed -i 's/0.20.95/0.20.0/' {configure.ac,configure}

%build
#autoreconf -fiv
%configure \
	%if !%{enable_unique}
    --enable-unique=no
    %endif

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%suse_update_desktop_file %{name} AudioVideo Player

%find_lang %{name}

%fdupes -s %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_bindir}/%{name}
%if %{enable_unique}
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-remote-stream
%endif
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%dir %{_datadir}/icons/Humanity
%dir %{_datadir}/icons/Humanity/*
%dir %{_datadir}/icons/Humanity/*/*
%{_datadir}/icons/Humanity/*/apps/%{name}.png
%{_datadir}/icons/Humanity/scalable/apps/%{name}.svg
%exclude %{_datadir}/gnome/help/%{name}
%{_mandir}/man1/%{name}.1.gz
%if %{enable_unique}
%{_mandir}/man1/%{name}-remote.1.gz
%{_mandir}/man1/%{name}-remote-stream.1.gz
%else
%exclude %{_mandir}/man1/%{name}-remote.1.gz
%exclude %{_mandir}/man1/%{name}-remote-stream.1.gz
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%defattr(-,root,root,-)
#gimpc is not depend on libgnome: own the directories
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
%dir %{_datadir}/gnome/help/%{name}
%doc %{_datadir}/gnome/help/%{name}/C/

%changelog
* Wed Nov 12 2014 avvissu@yandex.ru
- Fix build on armv6l (exclude raspberrypi-userland package)
* Sat Nov  8 2014 avvissu@yandex.ru
- Update to 11.8.16:
  * new Albumview
  * better fullscreen support
  * easycommand update
  * GNOME Integrated Manual
- Change url
- Use pkgconfig in package names
- Fix build errors found by RPMlint:
  * add gmpc-11.8.16_return-function.patch
- Drop ld_build_fix.diff (fixed in upstream)
- Disable unique for SLES12 (no package)
- Add %%post and %%postun
- Add man page for gmpc-remote-stream
- Add reference documentation for gmpc
- Spec file cleanup
* Sat May 19 2012 seife+obs@b1-systems.com
- fix libSM-devel buildreq for 12.2
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Wed Oct 21 2009 detlef@links2linux.de
- new upstream version <0.19.1>
  * Completely wrong and wrong way around new url-fetching gui
  * Make the new dialog slightly more sane
  * Remove some empty lines
  * Regenerate with new vala
  * [UrlFetchGui] Show progressbar and make buttons insensitive
  * Remove the 'num items' from the left pane view.
  * [Bug:2519] Trying to fix this bug.
  * [Bug:2519] Sort utf-8 aware.
  * [Bug:2532] Apply patch from bug.
  * Fix for bug 2496
  * Fix sizing rules so it should work again on windows32.
  * Move notification code of db updates into separate code block.
  * Add some extra bindings to libmpd.vapi
  * Export gmpc-favorite and gmpc-rating for plugins
  * Add extra icons, thanks to zeltak
  * Export mpdinterfaction.h or gmpc-song-links.
  * Integrate the new now playing browser
  * Rename mockup-nowplaying to Now Playing
  * [Metadata2] Don't query albumartist if not supported
  * [Now Playing] Make colors configurable.
  * Show kHz's not Hz's
  * Fix rare bug that causes gtk to use tons of cpu and memory
  * Adding new rating icons. Fix make distcheck
  * Try not to reload stored playlist, when it is not needed.
  * Add a theme-color option to now-playing
  * If no title or name show filename, sanitiezed.
  * Use theme colors by default
  * Make coloring more robust
  * Force text view in now playing read only
  * Make sure gmpc_easy_download_uri_escape also escapes &&+
  * Sort album list by release date. Show release date
  * Add localtime_r for windows in gtktransition.h
  * Bug:2567 Add gmpc.ico to dist
  * Add extra type check to sorting function
* Tue Sep 22 2009 detlef@links2linux.de
- new upstream version <0.19.0>
* Tue Mar 10 2009 detlef@links2linux.de
- new upstream version <0.18.0>
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <0.17.0>
  * Fix building with NLS disabled.
  * Fix resize issue.
  * Add a function that generates a filename for cover art, this should be used in metadata plugins. To give a more consistent saving.
  * New Metadata database that uses a more structured layout. (less overhead)
  * Custom progres bar. (So gmpc does not use 20%% cpu on a theme with animated progress bar)
  * Sharper lines around album art.
  * [libmpd] If idle command available use it to detect changes in stored playlist.
  * Update stored playlist without loosing selection.
  * Allow prioritizing of metadata plugins from the gui.
  * Speed up saving of config/metadata file by +- 50 times.
  * Only save config/metadata/profile file on closing of gmpc.
  * Add a script that allows you to open pls files from your browser (gmpc-remote-stream).
  * Always safe window zoom state between sessions.
  * Add possibility to use buttons instead of dropdown.
  * Allow more advanced search query in playlist filter.
  * Allow the more advanced search in the search browser. (query entry).
  * Compile time option to get the EggTrayIcon back. (that allows scroll(ing) event on the tray)
  * Add Hebrew and turkish translation.
  * Fix wrong version check, causing GmpcMpdDataTreeview settings to reset on each update.
  * Several smaller and larger memory leaks fixed.
  * 0001764: Allow drag and drop of images on the GmpcMetaImage.
  * 0001481: Add possibility to prioritize metadata plugins.
  * 0001765: Check available urlhandler before handling dnd.
  * 0001604: Mute/unmute multimedia key support.
  * 0001767: Expand/Collaps keybinding keypad is wrong.
  * 0001772: Opening of Information on a song is slow.
  * 0001794: Fix gtk deprecation warnings.
  * 0001814: Add reset browser option.
  * 0001794: Fix high cpu usage caused by progressbar.
  * 0001866: Fonts get cut off during mouse over of songs.
  * 0001888: Show tooltip on hoover.
  * Memory leak in GmpcClickLabel
  * Fix play-queue gettting stuck in quick-search.
  * Add --debug-updates option that shows redraws.
  * Fix mute icon.
* Fri Sep 26 2008 detlef@links2linux.de
- new upstream version <0.16.1>
  * Fix lockup when entering wrong password in setup assistant.
  * Allow cut/copy/paste in the main playlist.
  * Prevent fullscreen in mini-mode
  * Fix copyright notice
  * Better showing of cover art in tag-browser.
  * Allow jumping to metadata browser from tag-browser
  * Correctly show "Mpd finished updating it database" message.
  * Update tag browser on database update.
  * Fix compile warnings, making --enable-maintainermode work.
  * Fix crasher after playlist songs are added and gmpc is quit.
  * Compile option for some timing output.
  * Reduce memory usage.
  * Code cleanups.
* Mon Sep 22 2008 detlef@links2linux.de
- new upstream version <0.16.0>
* Mon Dec 17 2007 detlef@links2linux.de
- new upstream version <0.15.5.0>
* Wed Sep 19 2007 detlef@links2linux.de
- fix prefix for 10.3
- fix group
* Thu Jul 26 2007 detlef@links2linux.de
- new upstream release <0.15.1>
- split devel.rpm
* Wed Mar 28 2007 detlef@links2linux.de
- new upstream version <0.14.0>
* Sun Aug 13 2006 detlef@links2linux.de
- new upstream version
* Tue Mar 23 2004 malakhanov@gmx.de
- Initial build.
